Bug 277475 - Crash during Musicbrainz lookup [@ MusicBrainzXmlParser::grabTrackByID]
Summary: Crash during Musicbrainz lookup [@ MusicBrainzXmlParser::grabTrackByID]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Metadata Editing and Reading (show other bugs)
Version: 2.4.1
Platform: Debian testing Linux
: NOR crash (vote)
Target Milestone: 2.4.2
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-10 15:52 UTC by Simon80
Modified: 2011-11-15 17:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon80 2011-07-10 15:52:46 UTC
Application: amarok (2.4.1)
KDE Platform Version: 4.6.4 (4.6.4)
Qt Version: 4.7.3
Operating System: Linux 2.6.39-2-amd64 x86_64
Distribution: Debian GNU/Linux testing (wheezy)

-- Information about the crash:
- What I was doing when the application crashed:
I was running the "Update tags from Musicbrainz" command on a track.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4b16547780 (LWP 28206))]

Thread 16 (Thread 0x7f4afca57700 (LWP 28207)):
#0  0x00007f4b0c5d4d37 in g_main_context_query (context=0x2416330, max_priority=2147483647, timeout=0x7f4afca56da8, fds=0x2419e40, n_fds=3) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:2833
#1  0x00007f4b0c5d58eb in g_main_context_iterate (context=0x2416330, block=1, dispatch=1, self=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3073
#2  0x00007f4b0c5d62f2 in g_main_loop_run (loop=0x2416310) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3299
#3  0x00007f4afd1a39d4 in gdbus_shared_thread_func (data=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./gio/gdbusprivate.c:276
#4  0x00007f4b0c5fccf6 in g_thread_create_proxy (data=0x2416410) at /tmp/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#5  0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f4ae3478700 (LWP 28212)):
#0  0xffffffffff600132 in ?? ()
#1  0x00007fff8c9ff841 in ?? ()
#2  0x00007f4b0ae0ee86 in clock_gettime (clock_id=1, tp=0x7f4ae3477b30) at ../sysdeps/unix/clock_gettime.c:116
#3  0x00007f4b13700064 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x00007f4b137c1ddd in QTimerInfoList::updateCurrentTime (this=0x2a71440) at kernel/qeventdispatcher_unix.cpp:339
#6  0x00007f4b137c2113 in QTimerInfoList::timerWait (this=0x2a71440, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#7  0x00007f4b137c0b7c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f4ae3477c3c) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007f4b137c0c25 in timerSourcePrepare (source=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007f4b0c5d4957 in g_main_context_prepare (context=0x2a7a880, priority=0x7f4ae3477cac) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:2761
#10 0x00007f4b0c5d5879 in g_main_context_iterate (context=0x2a7a880, block=1, dispatch=1, self=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3071
#11 0x00007f4b0c5d5f1d in g_main_context_iteration (context=0x2a7a880, may_block=1) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#12 0x00007f4b137c1636 in QEventDispatcherGlib::processEvents (this=0x2a750a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#13 0x00007f4b13795b82 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007f4b13795d7f in QEventLoop::exec (this=0x7f4ae3477dd0, flags=...) at kernel/qeventloop.cpp:201
#15 0x00007f4b136ad81f in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#16 0x00007f4b13778b6f in QInotifyFileSystemWatcherEngine::run (this=0x2a4d370) at io/qfilesystemwatcher_inotify.cpp:248
#17 0x00007f4b136b0235 in QThreadPrivate::start (arg=0x2a4d370) at thread/qthread_unix.cpp:320
#18 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#19 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f4adc625700 (LWP 28215)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4b136b06cb in wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4b10c17984 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7f4af80d4ae0, th=0x7f4af80d60a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f4b10c19f2b in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x7f4af80d60a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x7f4af80d60a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x7f4af80d60a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x7f4af80d60a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f4b10c18def in ThreadWeaver::ThreadRunHelper::run (this=0x7f4adc624e20, parent=0x7f4af80d4ae0, th=0x7f4af80d60a0) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f4b10c18e7b in ThreadWeaver::Thread::run (this=0x7f4af80d60a0) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f4b136b0235 in QThreadPrivate::start (arg=0x7f4af80d60a0) at thread/qthread_unix.cpp:320
#11 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f4ad9b02700 (LWP 28221)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4b136b06cb in wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4b10c17984 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7f4af80d4ae0, th=0x3220500) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f4b10c19f2b in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x3220500) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x3220500) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x3220500) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x3220500) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x3220500) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f4b10c18def in ThreadWeaver::ThreadRunHelper::run (this=0x7f4ad9b01e20, parent=0x7f4af80d4ae0, th=0x3220500) at ../../../threadweaver/Weaver/Thread.cpp:87
#10 0x00007f4b10c18e7b in ThreadWeaver::Thread::run (this=0x3220500) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x00007f4b136b0235 in QThreadPrivate::start (arg=0x3220500) at thread/qthread_unix.cpp:320
#12 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#13 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f4ad9301700 (LWP 28222)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4b136b06cb in wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4b10c17984 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7f4af80d4ae0, th=0x30303a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f4b10c19f2b in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x30303a0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f4b10c18def in ThreadWeaver::ThreadRunHelper::run (this=0x7f4ad9300e20, parent=0x7f4af80d4ae0, th=0x30303a0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f4b10c18e7b in ThreadWeaver::Thread::run (this=0x30303a0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f4b136b0235 in QThreadPrivate::start (arg=0x30303a0) at thread/qthread_unix.cpp:320
#8  0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f4ad8b00700 (LWP 28223)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4b0f54bf22 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f4b0f8441c0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f4b0f54bf59 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<value optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f4ad4c3f700 (LWP 28224)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4b136b06cb in wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7f4af80d5990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4b10c17984 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7f4af80d4ae0, th=0x30d1070) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f4b10c19f2b in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x30d1070) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f4b10c19f44 in ThreadWeaver::WorkingHardState::applyForWork (this=0x7f4af80c9110, th=0x30d1070) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f4b10c18def in ThreadWeaver::ThreadRunHelper::run (this=0x7f4ad4c3ee20, parent=0x7f4af80d4ae0, th=0x30d1070) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f4b10c18e7b in ThreadWeaver::Thread::run (this=0x30d1070) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f4b136b0235 in QThreadPrivate::start (arg=0x30d1070) at thread/qthread_unix.cpp:320
#9  0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f4acffff700 (LWP 28233)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4b136b06cb in wait (this=<value optimized out>, mutex=0x3c95808, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3c95808, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f4b14698b84 in QFileInfoGatherer::run (this=0x3c957f8) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007f4b136b0235 in QThreadPrivate::start (arg=0x3c957f8) at thread/qthread_unix.cpp:320
#5  0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f4acbde8700 (LWP 28234)):
#0  0xffffffffff600132 in ?? ()
#1  0x00007fff8c9ff841 in ?? ()
#2  0x00007f4b0ae0ee86 in clock_gettime (clock_id=1, tp=0x7f4acbde7b30) at ../sysdeps/unix/clock_gettime.c:116
#3  0x00007f4b13700064 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x00007f4b137c1ddd in QTimerInfoList::updateCurrentTime (this=0x3d15c00) at kernel/qeventdispatcher_unix.cpp:339
#6  0x00007f4b137c2113 in QTimerInfoList::timerWait (this=0x3d15c00, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#7  0x00007f4b137c0b7c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f4acbde7c3c) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007f4b137c0c25 in timerSourcePrepare (source=<value optimized out>, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007f4b0c5d4957 in g_main_context_prepare (context=0x3ca24d0, priority=0x7f4acbde7cac) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:2761
#10 0x00007f4b0c5d5879 in g_main_context_iterate (context=0x3ca24d0, block=1, dispatch=1, self=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3071
#11 0x00007f4b0c5d5f1d in g_main_context_iteration (context=0x3ca24d0, may_block=1) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#12 0x00007f4b137c1636 in QEventDispatcherGlib::processEvents (this=0x3ce3d40, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#13 0x00007f4b13795b82 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007f4b13795d7f in QEventLoop::exec (this=0x7f4acbde7dd0, flags=...) at kernel/qeventloop.cpp:201
#15 0x00007f4b136ad81f in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#16 0x00007f4b13778b6f in QInotifyFileSystemWatcherEngine::run (this=0x3c94e80) at io/qfilesystemwatcher_inotify.cpp:248
#17 0x00007f4b136b0235 in QThreadPrivate::start (arg=0x3c94e80) at thread/qthread_unix.cpp:320
#18 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#19 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f4ac9d18700 (LWP 7127)):
#0  pthread_mutex_lock (mutex=0x2a4afd8) at forward.c:182
#1  0x00007f4b0c5d7215 in g_main_context_wakeup (context=0x2a4afd0) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3756
#2  0x00007f4b0c5d73a0 in child_watch_helper_thread (data=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:4316
#3  0x00007f4b0c5fccf6 in g_thread_create_proxy (data=0x349d5a0) at /tmp/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#4  0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f4aca519700 (LWP 7150)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4ae16b87ad in gst_queue_chain (pad=<value optimized out>, buffer=0x33f34b0) at gstqueue.c:1013
#2  0x00007f4aebf00e8c in gst_pad_push (pad=0x29fce10, buffer=0x33f34b0) at gstpad.c:4684
#3  0x00007f4aebf00e8c in gst_pad_push (pad=0x25636b0, buffer=0x33f34b0) at gstpad.c:4684
#4  0x00007f4ae16c31d0 in gst_tee_do_push (tee=0x273f4f0, data=0x33f34b0, is_list=0) at gsttee.c:674
#5  gst_tee_handle_data (tee=0x273f4f0, data=0x33f34b0, is_list=0) at gsttee.c:753
#6  0x00007f4ae16c361f in gst_tee_chain (pad=<value optimized out>, buffer=0x33f34b0) at gsttee.c:827
#7  0x00007f4aebf00e8c in gst_pad_push (pad=0x25639b0, buffer=0x33f34b0) at gstpad.c:4684
#8  0x00007f4ae16b96ba in gst_queue_push_one (pad=<value optimized out>) at gstqueue.c:1155
#9  gst_queue_loop (pad=<value optimized out>) at gstqueue.c:1263
#10 0x00007f4aebf27420 in gst_task_func (task=0x24e4830) at gsttask.c:318
#11 0x00007f4b0c5ff3e4 in g_thread_pool_thread_proxy (data=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#12 0x00007f4b0c5fccf6 in g_thread_create_proxy (data=0x34426c0) at /tmp/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#13 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#14 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f4ac8cd5700 (LWP 7151)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4ae16b87ad in gst_queue_chain (pad=<value optimized out>, buffer=0x32b7a20) at gstqueue.c:1013
#2  0x00007f4aebf00e8c in gst_pad_push (pad=0x27db370, buffer=0x32b7a20) at gstpad.c:4684
#3  0x00007f4aebf00e8c in gst_pad_push (pad=0x2a197a0, buffer=0x32b7a20) at gstpad.c:4684
#4  0x00007f4ae16c361f in gst_tee_chain (pad=<value optimized out>, buffer=0x32b7a20) at gsttee.c:827
#5  0x00007f4aebf00e8c in gst_pad_push (pad=0x2a1a1c0, buffer=0x32b7a20) at gstpad.c:4684
#6  0x00007f4aebf00e8c in gst_pad_push (pad=0x29f4af0, buffer=0x32b7a20) at gstpad.c:4684
#7  0x00007f4aebc829a7 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2458
#8  0x00007f4aebf00e8c in gst_pad_push (pad=0x29f47f0, buffer=0x32b7a20) at gstpad.c:4684
#9  0x00007f4aebc829a7 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2458
#10 0x00007f4aebf00e8c in gst_pad_push (pad=0x2a00390, buffer=0x32b7a20) at gstpad.c:4684
#11 0x00007f4ae16b96ba in gst_queue_push_one (pad=<value optimized out>) at gstqueue.c:1155
#12 gst_queue_loop (pad=<value optimized out>) at gstqueue.c:1263
#13 0x00007f4aebf27420 in gst_task_func (task=0x24e4930) at gsttask.c:318
#14 0x00007f4b0c5ff3e4 in g_thread_pool_thread_proxy (data=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#15 0x00007f4b0c5fccf6 in g_thread_create_proxy (data=0x7f4ad013bec0) at /tmp/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#16 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#17 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f4ac84d4700 (LWP 7152)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4aebc70cef in gst_base_sink_wait_preroll (sink=0x331fa90) at gstbasesink.c:2261
#2  0x00007f4ae650a5d8 in gst_base_audio_sink_render (bsink=0x331fa90, buf=<value optimized out>) at gstbaseaudiosink.c:1667
#3  0x00007f4aebc726c7 in gst_base_sink_render_object (basesink=0x331fa90, obj_type=<value optimized out>, obj=0x32b3ac0, pad=<value optimized out>) at gstbasesink.c:3005
#4  0x00007f4aebc74f0f in gst_base_sink_queue_object_unlocked (basesink=0x331fa90, obj_type=2 '\002', obj=0x32b3ac0, prerollable=<value optimized out>, pad=<value optimized out>) at gstbasesink.c:3286
#5  0x00007f4aebc75267 in gst_base_sink_chain_unlocked (basesink=0x331fa90, obj_type=2 '\002', obj=0x32b3ac0, pad=<value optimized out>) at gstbasesink.c:3665
#6  0x00007f4aebc7564f in gst_base_sink_chain_main (basesink=0x331fa90, pad=0x2a00690, obj_type=2 '\002', obj=0x32b3ac0) at gstbasesink.c:3703
#7  0x00007f4aebf00e8c in gst_pad_push (pad=0x2a19aa0, buffer=0x32b3ac0) at gstpad.c:4684
#8  0x00007f4aebc829a7 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2458
#9  0x00007f4aebf00e8c in gst_pad_push (pad=0x29dce40, buffer=0x32b3ac0) at gstpad.c:4684
#10 0x00007f4aebc829a7 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2458
#11 0x00007f4aebf00e8c in gst_pad_push (pad=0x2a19320, buffer=0x32b3ac0) at gstpad.c:4684
#12 0x00007f4aebc829a7 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2458
#13 0x00007f4aebf00e8c in gst_pad_push (pad=0x2a19020, buffer=0x32b3ac0) at gstpad.c:4684
#14 0x00007f4ae16b96ba in gst_queue_push_one (pad=<value optimized out>) at gstqueue.c:1155
#15 gst_queue_loop (pad=<value optimized out>) at gstqueue.c:1263
#16 0x00007f4aebf27420 in gst_task_func (task=0x7f4af8a20120) at gsttask.c:318
#17 0x00007f4b0c5ff3e4 in g_thread_pool_thread_proxy (data=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#18 0x00007f4b0c5fccf6 in g_thread_create_proxy (data=0x7f4ad027fa20) at /tmp/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#19 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#20 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#21 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4ac7cd3700 (LWP 7153)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4ae16b87ad in gst_queue_chain (pad=<value optimized out>, buffer=0x7f4ad014f140) at gstqueue.c:1013
#2  0x00007f4aebf00e8c in gst_pad_push (pad=0x3495050, buffer=0x7f4ad014f140) at gstpad.c:4684
#3  0x00007f4aebf00e8c in gst_pad_push (pad=0x7f4ad0241d50, buffer=0x7f4ad014f140) at gstpad.c:4684
#4  0x00007f4aebf00e8c in gst_pad_push (pad=0x7f4af86c53c0, buffer=0x7f4ad014f140) at gstpad.c:4684
#5  0x00007f4ac8efad0c in gst_mad_chain (pad=<value optimized out>, buffer=0x3497240) at gstmad.c:1781
#6  0x00007f4aebf00e8c in gst_pad_push (pad=0x7f4ad00e7660, buffer=0x3497240) at gstpad.c:4684
#7  0x00007f4aebc6674f in gst_base_parse_push_frame (parse=0x7f4ad00f6800, frame=0x7f4ac7cd2cd0) at gstbaseparse.c:1909
#8  0x00007f4aebc67366 in gst_base_parse_handle_and_push_frame (parse=0x7f4ad00f6800, frame=0x7f4ac7cd2cd0, klass=<value optimized out>) at gstbaseparse.c:1692
#9  0x00007f4aebc6964d in gst_base_parse_loop (pad=<value optimized out>) at gstbaseparse.c:2631
#10 0x00007f4aebf27420 in gst_task_func (task=0x7f4af8a20220) at gsttask.c:318
#11 0x00007f4b0c5ff3e4 in g_thread_pool_thread_proxy (data=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#12 0x00007f4b0c5fccf6 in g_thread_create_proxy (data=0x7f4ad027faa0) at /tmp/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#13 0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#14 0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4ae64f9700 (LWP 7200)):
#0  0x00007f4b12e4c6d3 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4b09a05d1f in poll_func (ufds=0x34949b0, nfds=1, timeout=-1, userdata=0x7f4ad0130590) at pulse/thread-mainloop.c:75
#2  0x00007f4b099f7e36 in pa_mainloop_poll (m=0x7f4ad00a7290) at pulse/mainloop.c:879
#3  0x00007f4b099f8469 in pa_mainloop_iterate (m=0x7f4ad00a7290, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x00007f4b099f8520 in pa_mainloop_run (m=0x7f4ad00a7290, retval=0x0) at pulse/mainloop.c:979
#5  0x00007f4b09a05ccf in thread (userdata=0x7f4ad03f8560) at pulse/thread-mainloop.c:94
#6  0x00007f4b020480c0 in internal_thread_func (userdata=0x7f4ad0137030) at pulsecore/thread-posix.c:72
#7  0x00007f4b0ec6eb40 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#8  0x00007f4b12e572fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4b16547780 (LWP 28206)):
[KCrash Handler]
#6  ref (this=0x3e9caf0, ID=...) at /usr/include/qt4/QtCore/qatomic_x86_64.h:121
#7  QString (this=0x3e9caf0, ID=...) at /usr/include/qt4/QtCore/qstring.h:729
#8  MusicBrainzXmlParser::grabTrackByID (this=0x3e9caf0, ID=...) at ../../src/musicbrainz/MusicBrainzXmlParser.cpp:375
#9  0x00007f4b15626a5f in MusicBrainzFinder::parsingDone (this=0x3f11bf0, _parser=<value optimized out>) at ../../src/musicbrainz/MusicBrainzFinder.cpp:287
#10 0x00007f4b1562928f in MusicBrainzFinder::qt_metacall (this=0x3f11bf0, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0x7fff8c9428c0) at ./MusicBrainzFinder.moc:100
#11 0x00007f4b137a95ea in QMetaObject::activate (sender=0x3e9caf0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff8c9428c0) at kernel/qobject.cpp:3278
#12 0x00007f4b10c192d2 in ThreadWeaver::Job::done (this=<value optimized out>, _t1=0x3e9caf0) at ./Job.moc:97
#13 0x00007f4b10c193bc in ThreadWeaver::Job::qt_metacall (this=0x3e9caf0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7f4ad02e6b20) at ./Job.moc:77
#14 0x00007f4b137ad19a in QObject::event (this=0x3e9caf0, e=<value optimized out>) at kernel/qobject.cpp:1217
#15 0x00007f4b141b16d4 in notify_helper (this=0x23b6d60, receiver=0x3e9caf0, e=0x7f4ad0128fe0) at kernel/qapplication.cpp:4467
#16 QApplicationPrivate::notify_helper (this=0x23b6d60, receiver=0x3e9caf0, e=0x7f4ad0128fe0) at kernel/qapplication.cpp:4439
#17 0x00007f4b141b6561 in QApplication::notify (this=0x7fff8c9432a0, receiver=0x3e9caf0, e=0x7f4ad0128fe0) at kernel/qapplication.cpp:4346
#18 0x00007f4b15f694f6 in KApplication::notify (this=0x7fff8c9432a0, receiver=0x3e9caf0, event=0x7f4ad0128fe0) at ../../kdeui/kernel/kapplication.cpp:311
#19 0x00007f4b1379697c in QCoreApplication::notifyInternal (this=0x7fff8c9432a0, receiver=0x3e9caf0, event=0x7f4ad0128fe0) at kernel/qcoreapplication.cpp:731
#20 0x00007f4b13799cc4 in sendEvent (receiver=0x0, event_type=0, data=0x22165c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#21 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x22165c0) at kernel/qcoreapplication.cpp:1372
#22 0x00007f4b137c1173 in sendPostedEvents (s=0x23b91c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#23 postEventSourceDispatch (s=0x23b91c0) at kernel/qeventdispatcher_glib.cpp:277
#24 0x00007f4b0c5d54a3 in g_main_dispatch (context=0x23b90e0) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:2440
#25 g_main_context_dispatch (context=0x23b90e0) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3013
#26 0x00007f4b0c5d5c80 in g_main_context_iterate (context=0x23b90e0, block=1, dispatch=1, self=<value optimized out>) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3091
#27 0x00007f4b0c5d5f1d in g_main_context_iteration (context=0x23b90e0, may_block=1) at /tmp/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#28 0x00007f4b137c15cf in QEventDispatcherGlib::processEvents (this=0x2217cb0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#29 0x00007f4b1425570e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#30 0x00007f4b13795b82 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#31 0x00007f4b13795d7f in QEventLoop::exec (this=0x7fff8c943230, flags=...) at kernel/qeventloop.cpp:201
#32 0x00007f4b13799f57 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#33 0x0000000000408a89 in main (argc=1, argv=0x7fff8c9458a8) at ../../src/main.cpp:288

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-11-15 08:19:04 UTC
I can't reproduce this here, using latest git (tagged as 2.4.90 aka 2.5 beta).
Comment 2 Sergey Ivanov 2011-11-15 17:37:19 UTC
Git commit d1a2eb13debc07170e58ae61120dc316217d0671 by Sergey Ivanov.
Committed on 15/11/2011 at 18:17.
Pushed by ivanov into branch 'master'.

Fixed crash during MusicBrainz search.
BUG: 277475
FIXED-IN: 2.5

M  +1    -0    ChangeLog
M  +10   -2    src/musicbrainz/MusicBrainzXmlParser.cpp
M  +1    -1    src/musicbrainz/MusicBrainzXmlParser.h

http://commits.kde.org/amarok/d1a2eb13debc07170e58ae61120dc316217d0671